Debian Bug report logs - #648705
freediams: FTBFS(!linux): mkdir: cannot create directory `/qt/': Permission denied

version graph

Package: src:freediams; Maintainer for src:freediams is Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>;

Reported by: Christoph Egger <christoph@debian.org>

Date: Mon, 14 Nov 2011 11:12:42 UTC

Severity: serious

Tags: sid, wheezy

Found in version freediams/0.6.0-1

Fixed in version freemedforms-project/0.7.1-1

Done: Andreas Tille <tille@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, debian-bsd@lists.debian.org, Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>:
Bug#648705; Package src:freediams. (Mon, 14 Nov 2011 11:12:46 GMT) Full text and rfc822 format available.

Acknowledgement sent to Christoph Egger <christoph@debian.org>:
New Bug report received and forwarded. Copy sent to debian-bsd@lists.debian.org, Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>. (Mon, 14 Nov 2011 11:12:59 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Christoph Egger <christoph@debian.org>
To: submit@bugs.debian.org
Subject: freediams: FTBFS(!linux): mkdir: cannot create directory `/qt/': Permission denied
Date: Mon, 14 Nov 2011 12:11:41 +0100
Package: src:freediams
Version: 0.6.0-1
Severity: serious
Tags: sid wheezy
User: debian-bsd@lists.debian.org
Usertags: kfreebsd
X-Debbugs-Cc: debian-bsd@lists.debian.org
Justification: fails to build from source (but built successfully in the past)

Hi!

Your package failed to build on the kfreebsd-* buildds:

install -m 644 -p /build/buildd-freediams_0.6.0-1-kfreebsd-amd64-4a_bay/freediams-0.6.0/global_resources/package_helpers/freemedforms.url /build/buildd-freediams_0.6.0-1-kfreebsd-amd64-4a_bay/freediams-0.6.0/debian/tmp/usr//Resources/package_helpers/
mkdir: cannot create directory `/qt/': Permission denied
make[3]: *** [install_qt_imagesplugins] Error 1

Full build log at
https://buildd.debian.org/status/fetch.php?pkg=freediams&arch=kfreebsd-amd64&ver=0.6.0-1&stamp=1320921847

Regards

    Christoph

If you have further questions please mail debian-bsd@lists.debian.org
-- 
9FED 5C6C E206 B70A 5857  70CA 9655 22B9 D49A E731
Debian Developer | Lisp Hacker | CaCert Assurer




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>:
Bug#648705; Package src:freediams. (Mon, 14 Nov 2011 12:59:29 GMT) Full text and rfc822 format available.

Acknowledgement sent to Andreas Tille <tille@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>. (Mon, 14 Nov 2011 12:59:40 GMT) Full text and rfc822 format available.

Message #10 received at 648705@bugs.debian.org (full text, mbox):

From: Andreas Tille <tille@debian.org>
To: Christoph Egger <christoph@debian.org>, 648705@bugs.debian.org
Subject: Re: Bug#648705: freediams: FTBFS(!linux): mkdir: cannot create directory `/qt/': Permission denied
Date: Mon, 14 Nov 2011 13:16:18 +0100
Hi,

guessing from current status at

  http://packages.debian.org/search?keywords=freediams

freediams builds on Linux nicely and the failure happens only on
kfreebsd.  Could you give any hint because it is a bit hard to
reproduce if you are sitting on a Linux box.  Any help is welcome.

Kind regards

       Andreas.

On Mon, Nov 14, 2011 at 12:11:41PM +0100, Christoph Egger wrote:
> Package: src:freediams
> Version: 0.6.0-1
> Severity: serious
> Tags: sid wheezy
> User: debian-bsd@lists.debian.org
> Usertags: kfreebsd
> X-Debbugs-Cc: debian-bsd@lists.debian.org
> Justification: fails to build from source (but built successfully in the past)
> 
> Hi!
> 
> Your package failed to build on the kfreebsd-* buildds:
> 
> install -m 644 -p /build/buildd-freediams_0.6.0-1-kfreebsd-amd64-4a_bay/freediams-0.6.0/global_resources/package_helpers/freemedforms.url /build/buildd-freediams_0.6.0-1-kfreebsd-amd64-4a_bay/freediams-0.6.0/debian/tmp/usr//Resources/package_helpers/
> mkdir: cannot create directory `/qt/': Permission denied
> make[3]: *** [install_qt_imagesplugins] Error 1
> 
> Full build log at
> https://buildd.debian.org/status/fetch.php?pkg=freediams&arch=kfreebsd-amd64&ver=0.6.0-1&stamp=1320921847
> 
> Regards
> 
>     Christoph
> 
> If you have further questions please mail debian-bsd@lists.debian.org
> -- 
> 9FED 5C6C E206 B70A 5857  70CA 9655 22B9 D49A E731
> Debian Developer | Lisp Hacker | CaCert Assurer
> 
> 
> 
> _______________________________________________
> Debian-med-packaging mailing list
> Debian-med-packaging@lists.alioth.debian.org
> http://lists.alioth.debian.org/cgi-bin/mailman/listinfo/debian-med-packaging
> 

-- 
http://fam-tille.de




Added tag(s) pending. Request was from Anibal Monsalve Salazar <anibal@debian.org> to control@bugs.debian.org. (Wed, 30 Nov 2011 19:09:13 GMT) Full text and rfc822 format available.

Reply sent to Andreas Tille <tille@debian.org>:
You have taken responsibility. (Thu, 01 Dec 2011 10:51:51 GMT) Full text and rfc822 format available.

Notification sent to Christoph Egger <christoph@debian.org>:
Bug acknowledged by developer. (Thu, 01 Dec 2011 10:51:56 GMT) Full text and rfc822 format available.

Message #17 received at 648705-close@bugs.debian.org (full text, mbox):

From: Andreas Tille <tille@debian.org>
To: 648705-close@bugs.debian.org
Subject: Bug#648705: fixed in freediams 0.6.2-1
Date: Thu, 01 Dec 2011 10:50:50 +0000
Source: freediams
Source-Version: 0.6.2-1

We believe that the bug you reported is fixed in the latest version of
freediams, which is due to be installed in the Debian FTP archive:

freediams-doc-en_0.6.2-1_all.deb
  to non-free/f/freediams/freediams-doc-en_0.6.2-1_all.deb
freediams-doc-fr_0.6.2-1_all.deb
  to non-free/f/freediams/freediams-doc-fr_0.6.2-1_all.deb
freediams-drugs_0.6.2-1_all.deb
  to non-free/f/freediams/freediams-drugs_0.6.2-1_all.deb
freediams_0.6.2-1.debian.tar.gz
  to non-free/f/freediams/freediams_0.6.2-1.debian.tar.gz
freediams_0.6.2-1.dsc
  to non-free/f/freediams/freediams_0.6.2-1.dsc
freediams_0.6.2-1_amd64.deb
  to non-free/f/freediams/freediams_0.6.2-1_amd64.deb
freediams_0.6.2.orig.tar.gz
  to non-free/f/freediams/freediams_0.6.2.orig.tar.gz



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 648705@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Andreas Tille <tille@debian.org> (supplier of updated freediams package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Thu, 17 Nov 2011 11:22:54 +0100
Source: freediams
Binary: freediams freediams-drugs freediams-doc-en freediams-doc-fr
Architecture: source amd64 all
Version: 0.6.2-1
Distribution: unstable
Urgency: low
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Changed-By: Andreas Tille <tille@debian.org>
Description: 
 freediams  - Pharmaceutical drugs prescriptor and interactions checker
 freediams-doc-en - FreeDiams English Documentation
 freediams-doc-fr - FreeDiams French Documentation
 freediams-drugs - Data for pharmaceutical drugs prescriptor and interactions checke
Closes: 648705
Changes: 
 freediams (0.6.2-1) unstable; urgency=low
 .
   [ Eric Maeker ]
   * New upstream version
   * debian/control: Suggests: ttf-mscorefonts-installer msttcorefonts
   * debian/copyright: Details for databases
     --> Database licenses are non-free
 .
   [ Andreas Tille ]
   * debian/control:
     - Removed suggested msttcorefonts
     - Moved to non-free because databases are not free
       --> needs further discussion how to provide a stripped down
           free alternative
     - freediams:
       Conflicts/Replaces: freediams-data
     - freediams-drugs:
       Conflicts/Replaces: freediams-data
       Breaks: freediams (<< ${source:Version})
       (thanks to Jakub Wilk <jwilk@debian.org> for the hint)
   * debian/{control,rules}: rename freediams-data to freediams-drugs
   * debian/rules: use calculated $(pkg) name instead of "freediams" string
   * Hopefully the new version
       Closes: #648705
     otherwise more info about debian-kbsd is needed
Checksums-Sha1: 
 2a44056bacf44627c43d0c06a356789cded17ae7 1636 freediams_0.6.2-1.dsc
 6b20e86167e293fdd6f598c7519af125c4c327ea 31555654 freediams_0.6.2.orig.tar.gz
 12f83d0c686b8662a8490fea87025681b5a6938a 12617 freediams_0.6.2-1.debian.tar.gz
 badc99d75328e698d748bbc4cc7008214d7cf689 4338196 freediams_0.6.2-1_amd64.deb
 41e4ee9c077d0f4bc18b52a3c47cd19d5fa8823d 16940472 freediams-drugs_0.6.2-1_all.deb
 e7f134a6436f944eca7c1ea8d6cb9d41c17b8870 3078744 freediams-doc-en_0.6.2-1_all.deb
 cf6f5a430a41b5f1d9fb3228f8b4e349e727c5b8 4345932 freediams-doc-fr_0.6.2-1_all.deb
Checksums-Sha256: 
 6829e31f4fcef9b197ceffe5bbe9543a40dc9369f6c2ff8c5aff8f1eec9e3f72 1636 freediams_0.6.2-1.dsc
 88f4d1e5c982a2dd1ac7d1dc0a0f8b562ef802d7d753583bb6639ff947574f00 31555654 freediams_0.6.2.orig.tar.gz
 67d616abdd172df0b2da30bd904831444f6b2d444ff23e852b81527eebb20c4c 12617 freediams_0.6.2-1.debian.tar.gz
 e83ad4055ed69d18f9778f7a68b227d724d06166873751314f6e046afe1bf7f9 4338196 freediams_0.6.2-1_amd64.deb
 0fe87628e8157420af773ad988d31e8f9b820e17fba5170e09ca7aa524edc2bc 16940472 freediams-drugs_0.6.2-1_all.deb
 953c6c773e041894958b8946745d7b8bfbc738bb8fd105d41de057b42ed06451 3078744 freediams-doc-en_0.6.2-1_all.deb
 a83c30d742d6485c2122649286d2c8a873c63f6109912a97b9272b8580a28258 4345932 freediams-doc-fr_0.6.2-1_all.deb
Files: 
 af437117851ffee9e289d4f9d3463087 1636 non-free/science optional freediams_0.6.2-1.dsc
 22d7564aa9299a1214b7e805522927dd 31555654 non-free/science optional freediams_0.6.2.orig.tar.gz
 056caff80d61ace0ca8a0bdb657f6496 12617 non-free/science optional freediams_0.6.2-1.debian.tar.gz
 316a7989c140cd2c21cfd595d3723684 4338196 non-free/science optional freediams_0.6.2-1_amd64.deb
 1507b497b3419c944931c4968d656728 16940472 non-free/science optional freediams-drugs_0.6.2-1_all.deb
 1da5158b0c8ec78ac37fe97456faedbe 3078744 non-free/doc optional freediams-doc-en_0.6.2-1_all.deb
 5d6545b973a0d15970c7c6236c0f12e3 4345932 non-free/doc optional freediams-doc-fr_0.6.2-1_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.11 (GNU/Linux)

iEYEARECAAYFAk7WT4EACgkQYDBbMcCf01qexgCgo5ql5AKcWCF/9Yc+YdOIqqP0
BWsAnRZirXdNEE3V/SIhd1v5hhSiSTWX
=whKS
-----END PGP SIGNATURE-----





Information forwarded to debian-bugs-dist@lists.debian.org, Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>:
Bug#648705; Package src:freediams. (Thu, 01 Dec 2011 18:30:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Eric MAEKER <eric.maeker@free.fr>:
Extra info received and forwarded to list. Copy sent to Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>. (Thu, 01 Dec 2011 18:30:03 GMT) Full text and rfc822 format available.

Message #22 received at 648705@bugs.debian.org (full text, mbox):

From: Eric MAEKER <eric.maeker@free.fr>
To: Christoph Egger <christoph@debian.org>, Andreas Tille <andreas@an3as.eu>, 648705@bugs.debian.org
Subject: Re: Bug#648705: freediams: FTBFS(!linux): mkdir: cannot create directory `/qt/': Permission denied
Date: Thu, 1 Dec 2011 19:27:42 +0100
Hi,

1. It looks like qt4 variables are not correctly setted ($QTDIR, $QMAKESPEC) in amd64 configuration.
Please check the qt4 packages installation.

2. With the basic build command, FreeDiams libs and plugs will be installed in /usr/lib. You can modify this behavior by adding

	LIBRARY_BASENAME=lib64

to the qmake command in the debian/rules

[original]
	qmake-qt4 -r -config release "CONFIG+=LINUX_INTEGRATED" "INSTALL_ROOT_PATH=$(CURDIR)/debian/tmp/usr/" LOWERED_APPNAME="$(pkg)" $(pkg).pro

[patched]
	qmake-qt4 -r -config release "CONFIG+=LINUX_INTEGRATED" "INSTALL_ROOT_PATH=$(CURDIR)/debian/tmp/usr/" LOWERED_APPNAME="$(pkg)" LIBRARY_BASENAME="lib64" $(pkg).pro

More info about the FreeMedForms build system at

	http://www.freemedforms.com/en/code/buildsystem

Thanks for your help
Eric



Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Fri, 30 Dec 2011 07:32:31 GMT) Full text and rfc822 format available.

Bug unarchived. Request was from Luca Falavigna <dktrkranz@debian.org> to control@bugs.debian.org. (Sun, 15 Jan 2012 02:30:03 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>:
Bug#648705; Package src:freediams. (Sun, 15 Jan 2012 02:33:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Luca Falavigna <dktrkranz@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>. (Sun, 15 Jan 2012 02:33:05 GMT) Full text and rfc822 format available.

Message #31 received at 648705@bugs.debian.org (full text, mbox):

From: Luca Falavigna <dktrkranz@debian.org>
To: 648705@bugs.debian.org
Subject: Not fixed, reopening
Date: Sun, 15 Jan 2012 03:32:17 +0100
reopen 648705
notfixed 648705 freediams/0.6.2-1
thanks


Unluckily, this bug hasn't been fixed yet:
https://buildd.debian.org/status/fetch.php?pkg=freediams&arch=kfreebsd-amd64&ver=0.6.2-1&stamp=1322740368
https://buildd.debian.org/status/fetch.php?pkg=freediams&arch=kfreebsd-i386&ver=0.6.2-1&stamp=1322740740
https://buildd.debian.org/status/fetch.php?pkg=freediams&arch=hurd-i386&ver=0.6.2-1&stamp=1322770960




Bug No longer marked as fixed in versions freediams/0.6.2-1 and reopened. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sun, 15 Jan 2012 02:33:13 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>:
Bug#648705; Package src:freediams. (Mon, 16 Jan 2012 17:12:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Andreas Tille <andreas@an3as.eu>:
Extra info received and forwarded to list. Copy sent to Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>. (Mon, 16 Jan 2012 17:12:06 GMT) Full text and rfc822 format available.

Message #38 received at 648705@bugs.debian.org (full text, mbox):

From: Andreas Tille <andreas@an3as.eu>
To: debian-bsd@lists.debian.org, 648705@bugs.debian.org
Cc: Debian Med Project List <debian-med@lists.debian.org>
Subject: Re: Please help with fixing a bug on kfreebsd [Was: Processed: unarchiving 648705]
Date: Mon, 16 Jan 2012 18:09:00 +0100
Hi Alexander,

On Mon, Jan 16, 2012 at 05:58:33PM +0100, Alexander Reichle-Schmehl wrote:
> ...
> ... and voila!  You can indeed fix (or at least investigate further)
> these bugs while sitting before a Linux box.

Well, what your are summerizing with a "voila" is quite a bit of work
and the further investigation another piece of work if not familiar with
QT build issues on kfreebsd..  I admit that my priorities are set in a
way that other problems in the Debian Med project are ranked higher at
the moment.  So if anybody could provide a patch that's perfectly fine
but I will not be able to spend the needed time in the next couple of
weeks.

Kind regards

       Andreas.

-- 
http://fam-tille.de




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>:
Bug#648705; Package src:freediams. (Mon, 16 Jan 2012 17:45:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Alexander Reichle-Schmehl <alexander@schmehl.info>:
Extra info received and forwarded to list. Copy sent to Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>. (Mon, 16 Jan 2012 17:45:03 GMT) Full text and rfc822 format available.

Message #43 received at 648705@bugs.debian.org (full text, mbox):

From: Alexander Reichle-Schmehl <alexander@schmehl.info>
To: Andreas Tille <andreas@an3as.eu>
Cc: debian-bsd@lists.debian.org, 648705@bugs.debian.org, Debian Med Project List <debian-med@lists.debian.org>
Subject: Re: Please help with fixing a bug on kfreebsd [Was: Processed: unarchiving 648705]
Date: Mon, 16 Jan 2012 18:43:58 +0100
Hi!

Am 16.01.2012 18:09, schrieb Andreas Tille:

>> ... and voila!  You can indeed fix (or at least investigate further)
>> these bugs while sitting before a Linux box.
> Well, what your are summerizing with a "voila" is quite a bit of work [..]

Well, actually it is:
1) Looking up a server name
2) ssh to that box
3) chroot like the welcome message told you
4) check build depends

And maybe:

5) Ask for missing build depends
6) Wait

> and the further investigation another piece of work if not familiar with
> QT build issues on kfreebsd..

I'm not a BSD porter myself, but fixed a couple of FTBFS bugs on it.  I
also was also able to fix a FTBFS on Sparc, Mipsel and other arches
using porter machines.  I found that you often just need some basic Unix
understanding to actually fix such a bugs.


Best regards,
  Alexander




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>:
Bug#648705; Package src:freediams. (Mon, 16 Jan 2012 18:21:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Andreas Tille <andreas@an3as.eu>:
Extra info received and forwarded to list. Copy sent to Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>. (Mon, 16 Jan 2012 18:21:06 GMT) Full text and rfc822 format available.

Message #48 received at 648705@bugs.debian.org (full text, mbox):

From: Andreas Tille <andreas@an3as.eu>
To: Alexander Reichle-Schmehl <alexander@schmehl.info>
Cc: debian-bsd@lists.debian.org, 648705@bugs.debian.org, Debian Med Project List <debian-med@lists.debian.org>
Subject: Re: Please help with fixing a bug on kfreebsd [Was: Processed: unarchiving 648705]
Date: Mon, 16 Jan 2012 19:18:35 +0100
On Mon, Jan 16, 2012 at 06:43:58PM +0100, Alexander Reichle-Schmehl wrote:
> Well, actually it is:
> 1) Looking up a server name
> 2) ssh to that box
> 3) chroot like the welcome message told you

So far it's easy - done this in the past.

> 4) check build depends
> 
> And maybe:

Considering several Build-Depends of this package s/And maybe/Most
probably/.

> 5) Ask for missing build depends
> 6) Wait

I decided to start with 6) right now.
 
> > and the further investigation another piece of work if not familiar with
> > QT build issues on kfreebsd..
> 
> I'm not a BSD porter myself, but fixed a couple of FTBFS bugs on it.  I
> also was also able to fix a FTBFS on Sparc, Mipsel and other arches
> using porter machines.  I found that you often just need some basic Unix
> understanding to actually fix such a bugs.

Yes, I agree.  The cruxial point was point 5 in your list.  It might be
that this has enhanced now but as I said I decided to solve other
problems first.  Why not enabling others having the experience to have
fixed a bug on freebsd?  The package is team maintained.

Kind regards

        Andreas.

-- 
http://fam-tille.de




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>:
Bug#648705; Package src:freediams. (Tue, 17 Jan 2012 10:00:17 GMT) Full text and rfc822 format available.

Acknowledgement sent to Alexander Reichle-Schmehl <alexander@schmehl.info>:
Extra info received and forwarded to list. Copy sent to Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>. (Tue, 17 Jan 2012 10:00:25 GMT) Full text and rfc822 format available.

Message #53 received at 648705@bugs.debian.org (full text, mbox):

From: Alexander Reichle-Schmehl <alexander@schmehl.info>
To: Andreas Tille <andreas@an3as.eu>
Cc: debian-bsd@lists.debian.org, 648705@bugs.debian.org, Debian Med Project List <debian-med@lists.debian.org>
Subject: Re: Please help with fixing a bug on kfreebsd [Was: Processed: unarchiving 648705]
Date: Tue, 17 Jan 2012 10:56:45 +0100
Hi!

Am 16.01.2012 19:18, schrieb Andreas Tille:
> Why not enabling others having the experience to have
> fixed a bug on freebsd?  The package is team maintained.

To cite you in the mail which started this thread:

> any hint, how to fix this problem?

And the previous mail you claimed you can't fix in from a Linux box.
Seems to me you got precisely what you asked for ;)


Best regards,
  Alexander




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>:
Bug#648705; Package src:freediams. (Tue, 17 Jan 2012 14:24:16 GMT) Full text and rfc822 format available.

Acknowledgement sent to Eric MAEKER <eric.maeker@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>. (Tue, 17 Jan 2012 14:24:16 GMT) Full text and rfc822 format available.

Message #58 received at 648705@bugs.debian.org (full text, mbox):

From: Eric MAEKER <eric.maeker@gmail.com>
To: Alexander Reichle-Schmehl <alexander@schmehl.info>
Cc: Andreas Tille <andreas@an3as.eu>, debian-bsd@lists.debian.org, 648705@bugs.debian.org, Debian Med Project List <debian-med@lists.debian.org>
Subject: Re: Please help with fixing a bug on kfreebsd [Was: Processed: unarchiving 648705]
Date: Tue, 17 Jan 2012 15:22:34 +0100
Le 17 janv. 2012 à 10:56, Alexander Reichle-Schmehl a écrit :

> Hi!
> 
> Am 16.01.2012 19:18, schrieb Andreas Tille:
>> Why not enabling others having the experience to have
>> fixed a bug on freebsd?  The package is team maintained.
> 
> To cite you in the mail which started this thread:
> 
>> any hint, how to fix this problem?
> 
> And the previous mail you claimed you can't fix in from a Linux box.
> Seems to me you got precisely what you asked for ;)

Ok I believe I found the bug. I'll try to provided a patch.
A question still remains: when app links to so, where should I install them ? /usr/lib, /usr/lib64 ???

-----
Eric Maeker, MD (Fr)
http://www.freemedforms.com
http://wiki.debian.org/DebianMed
http://www.ericmaeker.fr








Information forwarded to debian-bugs-dist@lists.debian.org, Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>:
Bug#648705; Package src:freediams. (Wed, 18 Jan 2012 01:15:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Eric MAEKER <eric.maeker@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>. (Wed, 18 Jan 2012 01:15:06 GMT) Full text and rfc822 format available.

Message #63 received at 648705@bugs.debian.org (full text, mbox):

From: Eric MAEKER <eric.maeker@gmail.com>
To: Alexander Reichle-Schmehl <alexander@schmehl.info>
Cc: Andreas Tille <andreas@an3as.eu>, debian-bsd@lists.debian.org, Debian Med Project List <debian-med@lists.debian.org>, 648705@bugs.debian.org
Subject: Re: Please help with fixing a bug on kfreebsd [Was: Processed: unarchiving 648705]
Date: Wed, 18 Jan 2012 02:11:33 +0100
Ok, I've spent the full night to try to debug this. Here is what I've done. Created a VBox kfreebsd-i386 machine with debian 6.0.3. Added some packages:

	apt-get install build-essential libxext-dev libxext6 libqt4-dev zlib1g-dev

Download the FreeDiams 0.6.2 sources, unpack, going into freediams-0.6.2 path

	qmake -r CONFIG+=release CONFIG+=LINUX_INTEGRATED LOWERED_APPNAME=freediams INSTALL_ROOT_PATH=/home/eric/ freediams.pro
	make
	make install

No error...

The command used in debian/rules:

	qmake-qt4 -r -config release "CONFIG+=LINUX_INTEGRATED" "INSTALL_ROOT_PATH=/build/buildd-freediams_0.6.0-1-kfreebsd-amd64-4a_bay/freediams-0.6.0/debian/tmp/usr/" LOWERED_APPNAME="freediams" freediams.pro

Works perfectly fine in my VBox. 

The project messages are a good help here:

1) something like "**** Building Linux Integrated ****" should appear multiple times. That's not the case in your log.
2) these lines should not appear
	Project MESSAGE: Qt Libs : /libs
	Project MESSAGE: Qt Plugins : /qt

In your build log, the "CONFIG+=LINUX_INTEGRATED" is not recognized. I don't know why...

The error can be in: 
	Qt4 (qmake is buggy in kfreebsd ?)
	sbuild (missing something in configuration ?)
	no other idea from me

I can give your more help, but now I need yours to go one. We should ask each other about the potential audience of the FreeDiams package in kfreebsd users. I really believe that it will be near to zero. So do we really need to spend more time in this debugging ?

-----
Eric Maeker, MD (Fr)
http://www.freemedforms.com
http://wiki.debian.org/DebianMed
http://www.ericmaeker.fr








Information forwarded to debian-bugs-dist@lists.debian.org, Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>:
Bug#648705; Package src:freediams. (Wed, 18 Jan 2012 18:11:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Robert Millan <rmh@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>. (Wed, 18 Jan 2012 18:11:02 GMT) Full text and rfc822 format available.

Message #68 received at 648705@bugs.debian.org (full text, mbox):

From: Robert Millan <rmh@debian.org>
To: Eric MAEKER <eric.maeker@gmail.com>
Cc: Alexander Reichle-Schmehl <alexander@schmehl.info>, Andreas Tille <andreas@an3as.eu>, debian-bsd@lists.debian.org, Debian Med Project List <debian-med@lists.debian.org>, 648705@bugs.debian.org
Subject: Re: Please help with fixing a bug on kfreebsd [Was: Processed: unarchiving 648705]
Date: Wed, 18 Jan 2012 18:09:27 +0000
El 18 de gener de 2012 1:11, Eric MAEKER <eric.maeker@gmail.com> ha escrit:
> I can give your more help, but now I need yours to go one. We should ask each other about the potential audience of the FreeDiams package in kfreebsd users. I really believe that it will be near to zero. So do we really need to spend more time in this debugging ?

If it's not used as build-dependency I wouldn't worry much about it.
If users want it, they'll file bugs / request it, etc.

In case you opt for making this package Linux-only (until someone
ports it), please keep this bug open (with appropiate severity) so
that the information is not lost.

-- 
Robert Millan




Reply sent to Andreas Tille <tille@debian.org>:
You have taken responsibility. (Thu, 03 May 2012 22:51:06 GMT) Full text and rfc822 format available.

Notification sent to Christoph Egger <christoph@debian.org>:
Bug acknowledged by developer. (Thu, 03 May 2012 22:51:06 GMT) Full text and rfc822 format available.

Message #73 received at 648705-close@bugs.debian.org (full text, mbox):

From: Andreas Tille <tille@debian.org>
To: 648705-close@bugs.debian.org
Subject: Bug#648705: fixed in freemedforms-project 0.7.1-1
Date: Thu, 03 May 2012 22:48:32 +0000
Source: freemedforms-project
Source-Version: 0.7.1-1

We believe that the bug you reported is fixed in the latest version of
freemedforms-project, which is due to be installed in the Debian FTP archive:

freediams-doc-en_0.7.1-1_all.deb
  to main/f/freemedforms-project/freediams-doc-en_0.7.1-1_all.deb
freediams-doc-fr_0.7.1-1_all.deb
  to main/f/freemedforms-project/freediams-doc-fr_0.7.1-1_all.deb
freediams_0.7.1-1_amd64.deb
  to main/f/freemedforms-project/freediams_0.7.1-1_amd64.deb
freemedforms-common-resources_0.7.1-1_all.deb
  to main/f/freemedforms-project/freemedforms-common-resources_0.7.1-1_all.deb
freemedforms-emr-doc-en_0.7.1-1_all.deb
  to main/f/freemedforms-project/freemedforms-emr-doc-en_0.7.1-1_all.deb
freemedforms-emr-doc-fr_0.7.1-1_all.deb
  to main/f/freemedforms-project/freemedforms-emr-doc-fr_0.7.1-1_all.deb
freemedforms-emr-resources_0.7.1-1_all.deb
  to main/f/freemedforms-project/freemedforms-emr-resources_0.7.1-1_all.deb
freemedforms-emr_0.7.1-1_amd64.deb
  to main/f/freemedforms-project/freemedforms-emr_0.7.1-1_amd64.deb
freemedforms-freedata_0.7.1-1_all.deb
  to main/f/freemedforms-project/freemedforms-freedata_0.7.1-1_all.deb
freemedforms-i18n_0.7.1-1_all.deb
  to main/f/freemedforms-project/freemedforms-i18n_0.7.1-1_all.deb
freemedforms-libs_0.7.1-1_amd64.deb
  to main/f/freemedforms-project/freemedforms-libs_0.7.1-1_amd64.deb
freemedforms-project_0.7.1-1.debian.tar.gz
  to main/f/freemedforms-project/freemedforms-project_0.7.1-1.debian.tar.gz
freemedforms-project_0.7.1-1.dsc
  to main/f/freemedforms-project/freemedforms-project_0.7.1-1.dsc
freemedforms-project_0.7.1-1_all.deb
  to main/f/freemedforms-project/freemedforms-project_0.7.1-1_all.deb
freemedforms-project_0.7.1.orig.tar.gz
  to main/f/freemedforms-project/freemedforms-project_0.7.1.orig.tar.gz
freemedforms-theme_0.7.1-1_all.deb
  to main/f/freemedforms-project/freemedforms-theme_0.7.1-1_all.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 648705@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Andreas Tille <tille@debian.org> (supplier of updated freemedforms-project package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Tue, 17 Apr 2012 15:21:11 +0200
Source: freemedforms-project
Binary: freemedforms-project freemedforms-theme freemedforms-i18n freemedforms-common-resources freemedforms-emr-resources freemedforms-freedata freemedforms-emr-doc-en freemedforms-emr-doc-fr freediams-doc-en freediams-doc-fr freemedforms-libs freemedforms-emr freediams
Architecture: source all amd64
Version: 0.7.1-1
Distribution: unstable
Urgency: low
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Changed-By: Andreas Tille <tille@debian.org>
Description: 
 freediams  - Pharmaceutical drugs prescriptor and interactions checker
 freediams-doc-en - FreeDiams English Documentation
 freediams-doc-fr - FreeDiams French Documentation
 freemedforms-common-resources - Common data for the FreeMedForms project
 freemedforms-emr - Electronic Medical Record Manager
 freemedforms-emr-doc-en - English documentation for FreeMedForms Electronic Medical Record
 freemedforms-emr-doc-fr - Data for FreeMedForms Electronic Medical Record Manager
 freemedforms-emr-resources - Data for the FreeMedForms EMR
 freemedforms-freedata - Free extra-data for the FreeMedForms project
 freemedforms-i18n - Translations of the FreeMedForms project
 freemedforms-libs - Common libs for the FreeMedForms project
 freemedforms-project - FreeMedForms project
 freemedforms-theme - Theme for the FreeMedForms project
Closes: 631921 648705
Changes: 
 freemedforms-project (0.7.1-1) unstable; urgency=low
 .
   * New upstream which serves two purposes:
      1. close ITP for freemedforms (Closes: #631921)
      2. reintroduce freediams which is bundled in this upstream release
         and thus close an old bug of this package (Closes: #648705)
   * debian/rules: fixed clean target
   * debian/freemedforms-libs.lintian-overrides: Adapted version number
   * debian/copyright: Slight changes done via `cme fix dpkg-copyright`
   * debian/{control+compat}: debhelper 9
   * debian/changelog: In Debian the package was formerly known as freediams and
     thus we should keep the package changelog here.  The other history of
     freemedforms packaging is irrelevant for the Debian package because it was
     never uploaded before
Checksums-Sha1: 
 65b7e19bada6682e74ec969a23a96eb4c836d678 2291 freemedforms-project_0.7.1-1.dsc
 2e645aef76a468659cf1e197929cb52af2cb2177 26120769 freemedforms-project_0.7.1.orig.tar.gz
 fd5c86a1f2c251df15c514560bb2a8c71d79d147 14968 freemedforms-project_0.7.1-1.debian.tar.gz
 fbea87390f1e1d79c5c3eca95d6336f31e8ea50d 10882 freemedforms-project_0.7.1-1_all.deb
 97176d8e182b5fd17a66daf3f7ce9a25c3bb8d91 1359358 freemedforms-theme_0.7.1-1_all.deb
 6021088fa318125ac1e34e3c71f2328fef0c8cdc 1121522 freemedforms-i18n_0.7.1-1_all.deb
 679f2c80e1b82f7db879b4c6968075ed5e17e292 698328 freemedforms-common-resources_0.7.1-1_all.deb
 0fc5d28dd7579dbba0b53d9dfa63d91df0ed3dbb 1989674 freemedforms-emr-resources_0.7.1-1_all.deb
 3af0bfeb77076d1b3bb32bf9ca0c201252f7032a 3439262 freemedforms-freedata_0.7.1-1_all.deb
 340fcbf812101fbd5be573c1322cc2a90649374a 1624558 freemedforms-emr-doc-en_0.7.1-1_all.deb
 a101efade1c377cdbf95078921fca4335a4ab2ef 3964240 freemedforms-emr-doc-fr_0.7.1-1_all.deb
 81269e3805d9658de31c00d1483d2ee64e6d661e 3080444 freediams-doc-en_0.7.1-1_all.deb
 effde7fd711e3509559e5589b64dfbfcb72c9a51 4348370 freediams-doc-fr_0.7.1-1_all.deb
 efa83148a0faf5af7bad9eea287f6a4394544ada 887280 freemedforms-libs_0.7.1-1_amd64.deb
 70790ff80027fe3a571cf865bc06dc7c272390d6 4013112 freemedforms-emr_0.7.1-1_amd64.deb
 237ca6bb88a59cd6abd1c2e278e9dec6f429e753 1675472 freediams_0.7.1-1_amd64.deb
Checksums-Sha256: 
 b83281ae1c0a3d05f3485b4ed8933b4687816d9d4cd3dd0a8918477e0fea6267 2291 freemedforms-project_0.7.1-1.dsc
 e65739252c5367d8744071e8dc6f1440d526cc34af84dbce3553307d1431aa2c 26120769 freemedforms-project_0.7.1.orig.tar.gz
 8dc0f5b9eb31d67e4d1c01268a93f3c0c0b2c28803d4d74a238d41883d58f387 14968 freemedforms-project_0.7.1-1.debian.tar.gz
 492e6a1b0edbcc3f33a29b229e050183dcc17c536d6d77b2498e5bd4d0b5d26a 10882 freemedforms-project_0.7.1-1_all.deb
 ab05dda6ebb5ab1b380059729474c2d417cbed6f970f2e5eba6011ef21bc6aef 1359358 freemedforms-theme_0.7.1-1_all.deb
 fcc275d78fd61a963deb6f334d892c766694ff460948bcf051dac4042d2cbb34 1121522 freemedforms-i18n_0.7.1-1_all.deb
 dc62bb38f0f2dc0d9fba1fdd622ab8d256590a61f8797510a4bef8d46d6204e4 698328 freemedforms-common-resources_0.7.1-1_all.deb
 b7d5f920d4a31f3c424dd475a0767dc156c91e643d8090af5207af21f061759d 1989674 freemedforms-emr-resources_0.7.1-1_all.deb
 199119b699b5cb2da6a5e8eca1667eea699f15205504b2a1a4f7712f4867619d 3439262 freemedforms-freedata_0.7.1-1_all.deb
 bd3d78b156cd1390d30f4e45a6b8adb297985997e137e0e19e86d82e6c6b15c3 1624558 freemedforms-emr-doc-en_0.7.1-1_all.deb
 595d1374f81de1dffd56822136f8f38d2655442a4f5a98d8daeea00349044c0b 3964240 freemedforms-emr-doc-fr_0.7.1-1_all.deb
 173b00c3e42470e267e64140ded0a12d5363f2db2fcd62cd0b41c28e952a35b1 3080444 freediams-doc-en_0.7.1-1_all.deb
 876b51ada72bd4cacc0291bb4613fa50c5e9282ec8265aca4302170b5704909c 4348370 freediams-doc-fr_0.7.1-1_all.deb
 fe3b723bd1d95352d6049699c30b9abe9f6a1e1375f8089c2fdc6103c766456d 887280 freemedforms-libs_0.7.1-1_amd64.deb
 d0c53792d6df95e7e93426a296cdc52ac1196e9200a781ae236263daf427b6c9 4013112 freemedforms-emr_0.7.1-1_amd64.deb
 1137e9a74be9e76342ab0682b454142e8a7ca9cfbc4e59d1112f98616c52b9bf 1675472 freediams_0.7.1-1_amd64.deb
Files: 
 bef380296981e9fa8cb9dca981704d48 2291 science optional freemedforms-project_0.7.1-1.dsc
 6771a69cf22f8a5ccd6b2c3eddb79b2e 26120769 science optional freemedforms-project_0.7.1.orig.tar.gz
 863fecb893919cf6bc9e7ad1044ffe5a 14968 science optional freemedforms-project_0.7.1-1.debian.tar.gz
 b2a6b50c53347a5cc3f6db4a39dc0920 10882 science optional freemedforms-project_0.7.1-1_all.deb
 28a40e3ae5cefa98f639d07752e4a96b 1359358 science optional freemedforms-theme_0.7.1-1_all.deb
 76a19c62f8f689da38daeaead52eca1f 1121522 science optional freemedforms-i18n_0.7.1-1_all.deb
 35772f49d4f37b536adc68c581773a38 698328 science optional freemedforms-common-resources_0.7.1-1_all.deb
 fc01edf42dab902ffb413c8271bc2ba5 1989674 science optional freemedforms-emr-resources_0.7.1-1_all.deb
 de5416af616901ce8dcb54888470045c 3439262 science optional freemedforms-freedata_0.7.1-1_all.deb
 028a22e0bdc62cd19883c93df0a0da2f 1624558 doc optional freemedforms-emr-doc-en_0.7.1-1_all.deb
 87bd0b32f817850f43308901d08257a3 3964240 doc optional freemedforms-emr-doc-fr_0.7.1-1_all.deb
 b5d1894c6fcb7db1b12a88db353ccd1a 3080444 doc optional freediams-doc-en_0.7.1-1_all.deb
 0a6d56ce5b0cc56b92f0e38e2f1a22b3 4348370 doc optional freediams-doc-fr_0.7.1-1_all.deb
 95ef73219f4fc3be62e362ea4cb0c64c 887280 science optional freemedforms-libs_0.7.1-1_amd64.deb
 ec707389cb618549ee8d8c2700023a96 4013112 science optional freemedforms-emr_0.7.1-1_amd64.deb
 2c6920ed4123a4ceb7857ed2a73e809e 1675472 science optional freediams_0.7.1-1_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iEYEARECAAYFAk+NczQACgkQYDBbMcCf01pBkwCfbk/d1OTe/FS9yw1vHuMGk8t5
EhMAn1ZDdNPr4QgvmlWkc/8d1c7ocBkz
=Vb7c
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Fri, 01 Jun 2012 07:34:32 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Fri Apr 18 16:55:54 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.